package cz.frantovo.nekurak.rest;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

@Path("clanek")
public class ClankyREST {

    /**
     * Pro vyzkoušení REST funkčnosti můžeme použít statickou proměnnou,
     * ale v praxi bychom se statickým proměnným měli vyhýbat – data budeme typicky předávat
     * nějaké nižší vrstvě (EJB, databáze) a nebudeme si je skladovat v prezentační vrstvě.
     * Místo statické proměnné jsme zde mohli použít EJB singleton, který by se postaral o uchování dat.
     */
    private static String data;

    @GET
    @Produces("text/plain")
    public String getText() {
	return "Naposledy sem někdo poslal:\n" + data + "\n";
    }

    @PUT
    @Consumes("text/plain")
    public String putText(String data) {
	ClankyREST.data = data;
	return "Právě jsme od vás přijali:\n" + data + "\n";
    }
}
